class GlsResponseModel {
  String porOrgacode;
  String pcaGlaccode;
  String pcaGlacdesc;
  String pcaGlacshort;

  GlsResponseModel({
    this.porOrgacode = "",
    this.pcaGlaccode = "",
    this.pcaGlacdesc = "",
    this.pcaGlacshort = "",
  });

  factory GlsResponseModel.fromMap(Map<String, dynamic> map) {
    return GlsResponseModel(
      porOrgacode: map['porOrgacode'] ?? '',
      pcaGlaccode: map['pcaGlaccode'] ?? '',
      pcaGlacdesc: map['pcaGlacdesc'] ?? '',
      pcaGlacshort: map['pcaGlacshort'] ?? '',
    );
  }

  static List<GlsResponseModel> fromList(List<dynamic> list) {
    return list.map((item) => GlsResponseModel.fromMap(item as Map<String, dynamic>)).toList();
  }

  Map<String, dynamic> toMap() {
    return {
      'porOrgacode': porOrgacode,
      'pcaGlaccode': pcaGlaccode,
      'pcaGlacdesc': pcaGlacdesc,
      'pcaGlacshort': pcaGlacshort,
    };
  }

  @override
  String toString() {
    return 'GlsResponseModel{porOrgacode: $porOrgacode, pcaGlaccode: $pcaGlaccode, pcaGlacdesc: $pcaGlacdesc, pcaGlacshort: $pcaGlacshort}';
  }
}
